// Constants.kt

package com.fawry.fawry_sdk

object Constants {
    const val CHANNEL_NAME = "channel/fawry_sdk"
    const val EVENT_CHANNEL_NAME = "event.channel/fawry_sdk"
    const val METHOD_CARDS = "fawryCardManager"
    const val METHOD_PAY = "fawryStartPayment"
    const val LAUNCH_MODEL_JSON_ARG = "launchModelJson"
    const val BASE_URL_ARG = "baseURL"
    const val LANGUAGE_ARG = "lang"

    const val LANGUAGE_ARABIC = "ARABIC"
    const val LANGUAGE_ENGLISH = "ENGLISH"

    const val EVENT_PAYMENT_SUCCESS = "Payment Successful"
    const val CODE_PAYMENT_FAILED = "1"

    const val RESPONSE_SUCCESS = "100"
    const val RESPONSE_ERROR = "101"
    const val RESPONSE_PAYMENT_COMPLETED = "102"

    const val INVALID_LAUNCH_MODEL = "Invalid LaunchModel"
    const val INVALID_BASE_URL = "Invalid BASE_URL"
    const val PAYMENT_SUCCEEDED = "Payment process succeeded"
}
