import 'dart:math';

/// A utility class providing various Fawry-related helper methods.
class FawryUtils {
  /// Generates a random alpha-numeric string of the specified [length].
  static String randomAlphaNumeric(int length) {
    const chars =
        'AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz1234567890';
    Random rnd = Random();

    return String.fromCharCodes(Iterable.generate(
        length, (_) => chars.codeUnitAt(rnd.nextInt(chars.length))));
  }

  /// Generates a random number based on the current timestamp.
  static String randomNumber() {
    String s = DateTime.now().millisecondsSinceEpoch.toString();
    return s;
  }
}
